Insider Trades
Get SEC Form 4 insider trading data for any US stock. Includes buy/sell transactions by officers and directors.
Overview
The insider trades API lets you access the stock buys and sales of public company insiders like CEOs, CFOs, and Directors. In addition to the stock buys and sales, you can also access the current ownership stakes of insiders. This data is useful for understanding the sentiment of company insiders. For example, you can answer questions like:- How many shares of Nvidia does Jensen Huang own?
- How many shares of Microsoft did Satya Nadella buy last quarter?
- How many shares of Apple has Tim Cook sold over the past year?
Available Tickers
You can fetch a list of available tickers with aGET request to:
https://api.financialdatasets.ai/insider-trades/tickers/
Available Insiders
You can fetch a list of available insider names for a given ticker with aGET request to:
https://api.financialdatasets.ai/insider-trades/names/?ticker=AAPL
Available Transaction Types
You can fetch a list of available transaction types with aGET request to:
https://api.financialdatasets.ai/insider-trades/transaction-types/
Getting Started
There are only 3 steps for making a successful API call:- Add your API key to the header of the request as
X-API-KEY. - Add query params like
tickerandlimitto filter the data. - Execute the API request.
Filtering the Data
You can filter the data byticker, name, transaction_type, limit, and filing_date.
Note: ticker is required. By default, limit is 100, name is null, transaction_type is null, and filing_date is null.
The name parameter is used to filter trades by a specific insider. You can get the list of available names for a ticker from the /names endpoint above.
The transaction_type parameter is used to filter trades by type (e.g., “Open market sale”, “Gift”). You can get the list of available transaction types from the /transaction-types endpoint above.
The limit parameter is used to specify the number of trades to return. The maximum value is 1000.
The filing_date parameter is used to specify the date of the trades. For example, you can include filters like filing_date_lte=2024-09-30 and filing_date_gte=2024-01-01 to get trades between January 1, 2024 and September 30, 2024.
The available filing_date operations are:
filing_date_ltefiling_date_ltfiling_date_gtefiling_date_gtfiling_date
Example
Example (with name)
Example (with transaction_type)
Example (with filing_date)
Authorizations
API key for authentication.
Query Parameters
The ticker symbol of the company.
The maximum number of transactions to return (default: 10).
Filter by insider name (e.g., 'Jen Hsun Huang'). Use the /insider-trades/names endpoint to get available names for a ticker.
Filter by transaction type (e.g., 'Open market sale', 'Gift'). Use the /insider-trades/transaction-types endpoint to get available types.
Filter by exact filing date in YYYY-MM-DD format.
Filter by filing date greater than or equal to this date (YYYY-MM-DD).
Filter by filing date less than or equal to this date (YYYY-MM-DD).
Filter by filing date greater than this date (YYYY-MM-DD).
Filter by filing date less than this date (YYYY-MM-DD).
Response
Insider trades response